org.apache.lucene.bkdtree

## Class BKDPointInBBoxQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.bkdtree.BKDPointInBBoxQuery

- All Implemented Interfaces:
    Cloneable

  Deprecated.
  Use dimensional values in Lucene 6.0 instead

      @Deprecated
      public class BKDPointInBBoxQuery
      extends Query

  Finds all previously indexed points that fall within the specified boundings box.

  The field must be indexed with `BKDTreeDocValuesFormat`, and `BKDPointField` added per document.

  NOTE: for fastest performance, this allocates FixedBitSet(maxDoc) for each segment. The score of each hit is the query boost.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKDPointInBBoxQuery(String field, double minLat, double maxLat, double minLon, double maxLon)` Deprecated. Matches all points >= minLon, minLat (inclusive) and < maxLon, maxLat (exclusive).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)` Deprecated.
    `boolean` | `equals(Object other)` Deprecated.
    `int` | `hashCode()` Deprecated.
    `Query` | `rewrite(IndexReader reader)` Deprecated.
    `String` | `toString(String field)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, getBoost, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BKDPointInBBoxQuery

          public BKDPointInBBoxQuery(String field,
                             double minLat,
                             double maxLat,
                             double minLon,
                             double maxLon)

      Deprecated.
      Matches all points >= minLon, minLat (inclusive) and < maxLon, maxLat (exclusive).

  - ### Method Detail

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                            boolean needsScores)
                              throws IOException

      Deprecated.
      Overrides:
        `createWeight` in class `Query`
      Throws:
        `IOException`

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws IOException

      Deprecated.
      Overrides:
        `rewrite` in class `Query`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals(Object other)

      Deprecated.
      Overrides:
        `equals` in class `Query`

    - #### toString

          public String toString(String field)

      Deprecated.
      Specified by:
        `toString` in class `Query`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.